def write_file (content, file_path):
    return ["sh", "-c", "echo '{}' > {}".format(content.replace("'", "'\"'\"'"), file_path)]

def read_file (file_path):
    return ["cat", file_path]

def install (packages, dpkg_options=None):
    return ["apt-get"] + dpkgOptions(*dpkg_options if dpkg_options else []) + ["-y", "install"] + list(packages) + ["--force-yes"]

def remove (packages, dpkg_options=None):
    return ["apt-get"] + dpkgOptions(*dpkg_options if dpkg_options else []) + ["-y", "remove"] + list(packages) + ["--force-yes"]

def add_apt_repository (repo_name):
    return ["add-apt-repository", "-y", repo_name]

def debconf (name, type, value):
    return "echo debconf {} {} {} | debconf-set-selections".format(name, type, value)

def chroot (target, command):
    if not target:
        return command
    return ["chroot", target] + command

def bash (command):
    return ["bash", "-c", command]

def dpkgOptions (*args):
    opts = []

    if not args:
        return opts

    for arg in args:
        opts.append("-o")
        opts.append("Dpkg::Options::={}".format(arg))
    return opts