import importlib
import logging

logger = logging.getLogger(__name__)

TASKS = ["setup_user","remove_old_repos","get_registration_info","check_key","install_cranium","register","remove_legacy_platform","remove_data","setup_os","remove_user","nuke","check_updates","install_database","restore_backup","remount","update_platform","install_platform","install_features","unregister","register_extra","remove_platform","install_drivers","debconf","install_extras","afterinstall_checks"]

class Task (object):
    def __init__ (self, name, module):
        self._name = name
        self._module = module

    def __call__ (self, *args, **kwargs):
        logger.info("Running task: {}".format(self._name))
        return self._module.__call__(*args, **kwargs)

for task_name in TASKS:
    vars()[task_name] = Task(task_name, importlib.import_module(".{}".format(task_name), package=__name__))
