import os
import logging

from ..capturecast import CaptureCast
from ..context import Context

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    capturecast = CaptureCast(context)
    
    # if older version of platform exists, remove it
    version = capturecast.get_version()
    
    if version:
        if "-" in version:
            version = version.split("-")[0]
        
        version = [int(v) for v in version.split(".")]
        if version[0] < 3 or (version[0] == 3 and version[1] < 1) or (version [0] == 3 and version[1] == 1 and version[2] < 7):
            capturecast.stop()
            context.call_privileged(["service", "nginx", "stop"])
            logger.info("Removing older version {} of platform\n".format(".".join(version)))
            for entry in os.listdir(context.get_path(context.config.cattura_path)):
                if not entry in ["storage", "database", "logs", "conf", "distribution"]:
                    context.call_privileged(["rm", "-rf", context.get_path(context.config.cattura_path, entry)])