import logging

from ..capturecast import CaptureCast
from ..context import Context

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    capturecast = CaptureCast(context)
    
    if (not context.config.dry) and capturecast.is_running():
        if context.ask_yesno("CaptureCast is currently running. It must be stopped before proceeding. Stop it now?"):
            capturecast.stop()
        else:
            raise Exception("CaptureCast is running and was not stopped")
    
    # remove Cattura platform 
    logger.info("Removing Cattura Platform and other packages")
    context.remove("cattura-capturecast-platform", "cattura-nginx")