import logging

from subprocess import PIPE

from ..capturecast import CaptureCast
from ..context import Context

logger = logging.getLogger(__name__)

CATTURA_PLATFORM_PACKAGE = "cattura-minimal-distribution"

def __call__ (config):
    context = Context(config, logger)
    if config.backup:
        restore(context, config.backup)

def restore (context, backup):
    capturecast = CaptureCast(context)
    was_running = capturecast.is_running()
    if was_running:
        capturecast.stop()
    
    context.call_chroot(["catturaCB-restore", backup], stdin=PIPE)
    
    if was_running:
        capturecast.start()