import pwd
import logging

from ..context import Context

CUSTOMER_NAME = "cattura_customer"

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    
    # add user if there isn't one
    if not user_exists(CUSTOMER_NAME):
        logger.info('Adding user "cattura_customer"')
        context.install("--reinstall", "cattura-customer-user")
    else:
        logger.info('User "cattura_customer" already exists')        

def user_exists (username):
    try:
        pwd.getpwnam(username)
        return True
    except:
        return False